## org.hibernate.envers.configuration.metadata
Class BasicMetadataGenerator

    java.lang.Object
      org.hibernate.envers.configuration.metadata.BasicMetadataGenerator

    public final class BasicMetadataGenerator

extends Object

Generates metadata for basic properties: immutable types (including enums).

Constructor Summary
`BasicMetadataGenerator()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicMetadataGenerator

    public BasicMetadataGenerator()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.